| Kea 3.0.2-git

name.h File Reference
`#include <util/buffer.h>`
`#include <dns/messagerenderer.h>`
`#include <stdint.h>`
`#include <string>`
`#include <vector>`
`#include <dns/exceptions.h>`
Include dependency graph for name.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dns::BadEscape
| A standard DNS module exception that is thrown if the name parser fails to decode a back-slash escaped sequence. More...
class | isc::dns::BadLabelType
| A standard DNS module exception that is thrown if the name parser encounters an obsolete or incomplete label type. More...
class | isc::dns::EmptyLabel
| A standard DNS module exception that is thrown if the name parser encounters an empty label in the middle of a name. More...
class | isc::dns::IncompleteName
| A standard DNS module exception that is thrown if the name parser finds the input (string or wire-format data) is incomplete. More...
class | isc::dns::MissingNameOrigin
| Thrown when origin is null and is needed. More...
class | isc::dns::Name
| The `Name` class encapsulates DNS names. More...
class | isc::dns::NameComparisonResult
| This is a supplemental class used only as a return value of Name::compare() and LabelSequence::compare(). More...
class | isc::dns::TooLongLabel
| A standard DNS module exception that is thrown if the name parser encounters too long a label. More...
class | isc::dns::TooLongName
| A standard DNS module exception that is thrown if the name parser encounters too long a name. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dns

## Functions
std::ostream & | isc::dns::operator<< (std::ostream &os, const Name &name)
| Insert the name as a string into stream.